Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.event
Interface SolverPhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  BruteForceSolverPhase, ConstructionHeuristicSolverPhase, CustomSolverPhase, EntityIndependentValueSelector, EntityPlacer, EntitySelector, GreedyFitSolverPhase, IterableSelector<T>, ListIterableSelector<T>, LocalSearchSolverPhase, MoveSelector, PillarSelector, Placer, Selector, SolverPhase, SubChainSelector, Termination, ValueSelector

All Known Implementing Classes:
  AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractEntitySelector, AbstractMoveSelector, AbstractPlacer, AbstractSelector, AbstractSolverPhase, AbstractTermination, AbstractValueSelector, AndCompositeTermination, BasicPlumbingTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeMoveSelector, DefaultBruteForceSolverPhase, DefaultConstructionHeuristicSolverPhase, DefaultCustomSolverPhase, DefaultGreedyFitSolverPhase, DefaultLocalSearchSolverPhase, DefaultSubChainSelector, FilteringEntitySelector, FilteringMoveSelector, FromEntityPropertyValueSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, OrCompositeTermination, PhaseToSolverTerminationBridge, PillarSwapMoveSelector, PlanningEntitySelector, PlanningValueSelector, PlanningValueWalker, PlanningVariableWalker, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, QueuedEntityPlacer, SameValuePillarSelector, ScoreAttainedTermination, SelectionCacheLifecycleBridge, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SolverPhaseLifecycleListenerAdapter, SortingEntitySelector, SortingMoveSelector, StepCountTermination, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TimeMillisSpendTermination, UnimprovedStepCountTermination, UnionMoveSelector, ValuePlacer

    public interface SolverPhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(AbstractSolverPhaseScope phaseScope)

### stepStarted

    void stepStarted(AbstractStepScope stepScope)

### stepEnded

    void stepEnded(AbstractStepScope stepScope)

### phaseEnded

    void phaseEnded(AbstractSolverPhaseScope phaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.